0

I'm using magento version 2.4.1 and composer version 1.10.25. i tried to update it to magento 2.4.3-p1 using composer but i always received an error. First i run this command:

composer require magento/product-community-edition=2.4.3-p1 --no-update

then i run

php -d memory_limit=-1 /usr/local/bin/composer update

but i always got this error:

Problem 1
    - Conclusion: don't install magento/product-community-edition 2.4.3-p1
    - Conclusion: don't install magento/product-community-edition 2.4.3-p1|don't install magento/magento2-functional-testing-framework 3.7.3
    - Conclusion: don't install csharpru/vault-php 3.5.3
    - Conclusion: remove guzzlehttp/guzzle 6.5.5
    - Conclusion: don't install guzzlehttp/guzzle 6.5.5
    - Conclusion: don't install magento/magento2-functional-testing-framework 3.8.0
    - Conclusion: don't install magento/magento2-functional-testing-framework 3.7.2
    - Conclusion: don't install magento/product-community-edition 2.4.3-p1|don't install allure-framework/allure-codeception 1.5.2|remove allure-framework/allure-phpunit 1.2.4
    - Conclusion: don't install magento/product-community-edition 2.4.3-p1|don't install monolog/monolog 2.4.0|keep monolog/monolog 1.26.1|install monolog/monolog 1.25.5|install monolog/monolog 1.26.0|install monolog/monolog 1.26.1|install monolog/monolog 1.27.0
    - Conclusion: don't install magento/product-community-edition 2.4.3-p1|don't install monolog/monolog 2.3.5|keep monolog/monolog 1.26.1|install monolog/monolog 1.25.2|install monolog/monolog 1.25.3|install monolog/monolog 1.25.4|install monolog/monolog 1.25.5|install monolog/monolog 1.26.0|install monolog/monolog 1.26.1|install monolog/monolog 1.27.0
    - Conclusion: don't install magento/product-community-edition 2.4.3-p1|don't install monolog/monolog 2.3.4|keep monolog/monolog 1.26.1|install monolog/monolog 1.24.0|install monolog/monolog 1.25.0|install monolog/monolog 1.25.1|install monolog/monolog 1.25.2|install monolog/monolog 1.25.3|install monolog/monolog 1.25.4|install monolog/monolog 1.25.5|install monolog/monolog 1.26.0|install monolog/monolog 1.26.1|install monolog/monolog 1.27.0
    - Conclusion: don't install magento/product-community-edition 2.4.3-p1|don't install monolog/monolog 2.3.3|keep monolog/monolog 1.26.1|install monolog/monolog 1.22.0|install monolog/monolog 1.22.1|install monolog/monolog 1.23.0|install monolog/monolog 1.24.0|install monolog/monolog 1.25.0|install monolog/monolog 1.25.1|install monolog/monolog 1.25.2|install monolog/monolog 1.25.3|install monolog/monolog 1.25.4|install monolog/monolog 1.25.5|install monolog/monolog 1.26.0|install monolog/monolog 1.26.1|install monolog/monolog 1.27.0
    - Conclusion: don't install magento/product-community-edition 2.4.3-p1|don't install monolog/monolog 2.3.2|keep monolog/monolog 1.26.1|install monolog/monolog 1.19.0|install monolog/monolog 1.20.0|install monolog/monolog 1.21.0|install monolog/monolog 1.22.0|install monolog/monolog 1.22.1|install monolog/monolog 1.23.0|install monolog/monolog 1.24.0|install monolog/monolog 1.25.0|install monolog/monolog 1.25.1|install monolog/monolog 1.25.2|install monolog/monolog 1.25.3|install monolog/monolog 1.25.4|install monolog/monolog 1.25.5|install monolog/monolog 1.26.0|install monolog/monolog 1.26.1|install monolog/monolog 1.27.0
    - Conclusion: don't install magento/product-community-edition 2.4.3-p1|don't install monolog/monolog 2.3.1|keep monolog/monolog 1.26.1|install monolog/monolog 1.18.0|install monolog/monolog 1.18.1|install monolog/monolog 1.18.2|install monolog/monolog 1.19.0|install monolog/monolog 1.20.0|install monolog/monolog 1.21.0|install monolog/monolog 1.22.0|install monolog/monolog 1.22.1|install monolog/monolog 1.23.0|install monolog/monolog 1.24.0|install monolog/monolog 1.25.0|install monolog/monolog 1.25.1|install monolog/monolog 1.25.2|install monolog/monolog 1.25.3|install monolog/monolog 1.25.4|install monolog/monolog 1.25.5|install monolog/monolog 1.26.0|install monolog/monolog 1.26.1|install monolog/monolog 1.27.0
    - Conclusion: don't install magento/framework 103.0.3-p1|don't install guzzlehttp/guzzle 7.4.1|keep guzzlehttp/guzzle 6.5.5|install guzzlehttp/guzzle 6.5.5
    - Conclusion: don't install magento/product-community-edition 2.4.3-p1|don't install csharpru/vault-php 3.5.3|install magento/magento2-functional-testing-framework 3.7.1|install magento/magento2-functional-testing-framework 3.7.2|install magento/magento2-functional-testing-framework 3.7.3|install magento/magento2-functional-testing-framework 3.8.0
    - Conclusion: don't install magento/product-community-edition 2.4.3-p1|install csharpru/vault-php 3.5.3|install magento/magento2-functional-testing-framework 3.7.0|install magento/magento2-functional-testing-framework 3.7.1|install magento/magento2-functional-testing-framework 3.7.2|install magento/magento2-functional-testing-framework 3.7.3|install magento/magento2-functional-testing-framework 3.8.0
    - Installation request for magento/framework 103.0.3-p1 -> satisfiable by magento/framework[103.0.3-p1].
    - Conclusion: don't install magento/product-community-edition 2.4.3-p1|don't install monolog/monolog 2.4.0|keep monolog/monolog 1.26.1|install monolog/monolog 1.25.5|install monolog/monolog 1.26.0|install monolog/monolog 1.26.1|install monolog/monolog 1.27.0
    - Conclusion: don't install magento/product-community-edition 2.4.3-p1|don't install monolog/monolog 2.3.5|keep monolog/monolog 1.26.1|install monolog/monolog 1.25.2|install monolog/monolog 1.25.3|install monolog/monolog 1.25.4|install monolog/monolog 1.25.5|install monolog/monolog 1.26.0|install monolog/monolog 1.26.1|install monolog/monolog 1.27.0
    - Conclusion: don't install magento/product-community-edition 2.4.3-p1|don't install monolog/monolog 2.3.4|keep monolog/monolog 1.26.1|install monolog/monolog 1.24.0|install monolog/monolog 1.25.0|install monolog/monolog 1.25.1|install monolog/monolog 1.25.2|install monolog/monolog 1.25.3|install monolog/monolog 1.25.4|install monolog/monolog 1.25.5|install monolog/monolog 1.26.0|install monolog/monolog 1.26.1|install monolog/monolog 1.27.0
    - Installation request for magento/product-community-edition 2.4.3-p1 -> satisfiable by magento/product-community-edition[2.4.3-p1].
    - Conclusion: don't install magento/product-community-edition 2.4.3-p1|install csharpru/vault-php 3.5.3|install magento/magento2-functional-testing-framework 3.7.0|install magento/magento2-functional-testing-framework 3.7.1|install magento/magento2-functional-testing-framework 3.7.2|install magento/magento2-functional-testing-framework 3.7.3|install magento/magento2-functional-testing-framework 3.8.0
    - Installation request for allure-framework/allure-phpunit ~1.2.0 -> satisfiable by allure-framework/allure-phpunit[1.2.0, 1.2.1, 1.2.2, 1.2.3, 1.2.4].
    - Installation request for magento/magento2-functional-testing-framework ^3.0 -> satisfiable by magento/magento2-functional-testing-framework[3.0.0, 3.1.0, 3.1.1, 3.2.0, 3.2.1, 3.3.0, 3.4.0, 3.5.0, 3.5.1, 3.6.0, 3.6.1, 3.7.0, 3.7.1, 3.7.2, 3.7.3, 3.8.0].
    - Conclusion: don't install magento/magento2-functional-testing-framework 3.7.1
    - magento/product-community-edition 2.4.3-p1 requires klarna/m2-payments 8.3.6 -> satisfiable by klarna/m2-payments[8.3.6].
    - klarna/m2-payments 8.3.6 requires klarna/module-core 6.2.4 -> satisfiable by klarna/module-core[6.2.4].
    - klarna/m2-payments 8.3.6 requires klarna/module-core 6.2.4 -> satisfiable by klarna/module-core[6.2.4].
    - Conclusion: don't install magento/magento2-functional-testing-framework 3.7.0|don't install klarna/module-core 6.2.4|keep guzzlehttp/guzzle 6.5.5|install guzzlehttp/guzzle 6.5.5
    - Conclusion: don't install magento/magento2-functional-testing-framework 3.7.0|don't install klarna/module-core 6.2.4|keep guzzlehttp/guzzle 6.5.5|install guzzlehttp/guzzle 6.5.5
    - Conclusion: don't install magento/product-community-edition 2.4.3-p1|install csharpru/vault-php 3.5.3|install magento/magento2-functional-testing-framework 3.7.0|install magento/magento2-functional-testing-framework 3.7.1|install magento/magento2-functional-testing-framework 3.7.2|install magento/magento2-functional-testing-framework 3.7.3|install magento/magento2-functional-testing-framework 3.8.0
1
  • Can you please share your composer.json file so I will help you Mar 15 at 13:24

2 Answers 2

0

Follow below step for upgrade Magento 2.4.3 to 2.4.3-p1

php bin/magento maintenance:enable

Take a backup of the composer.json

cp composer.json composer.json.bak


sudo rm -rf vendor/*

change php version to: php7.4

composer require magento/product-community-edition 2.4.3-p1 --no-update

composer update

composer update --ignore-platform-reqs

php bin/magento cache:clean

sudo rm -rf var/cache/* sudo rm -rf var/page_cache/* sudo rm -rf generated/code/*

php bin/magento setup:upgrade

php bin/magento setup:di:compile

php bin/magento setup:static-content:deploy -f

php bin/magento maintenance:disable

After upgrade, check your Magento version with the following command:

php bin/magento --version
0

In composer.json try to change version of 'magento2-functional-testing-framework':

from magento/magento2-functional-testing-framework": "3.1.0

to magento/magento2-functional-testing-framework": "3.*

then composer update

Also, one other way for Upgrade as below.

You can downloading the Magento 2.4.3-p1 release as a zip download from the Magento site, and opening up the composer.json file. I then copied the programs in the "require-dev": section to the composer.json file in my Magento, and then Magento would upgrade.

That it.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.